Loading...
Searching...
No Matches
Ogre::Capsule Class Reference
Plugins » PCZSceneManager

3D Line-Swept-Sphere class for intersection testing in Ogre3D Some algorithms based off code from the Wild Magic library by Dave Eberly More...

`#include <OgreCapsule.h>`

## Public Member Functions

| Capsule ()
| Capsule (const Segment &, Real)
bool | intersects (const Capsule &) const
bool | intersects (const Segment &) const
void | set (const Vector3 &newOrigin, const Vector3 &newEnd, Real newRadius)
void | setEndPoint (const Vector3 &newEndpoint)
void | setOrigin (const Vector3 &newOrigin)
void | setRadius (Real newRadius)

## Public Attributes

Real | mRadius
Segment | mSegment

## Detailed Description

3D Line-Swept-Sphere class for intersection testing in Ogre3D Some algorithms based off code from the Wild Magic library by Dave Eberly

## Constructor & Destructor Documentation

## Capsule() [1/2]

Ogre::Capsule::Capsule | ( |  | ) |

Referenced by intersects().

## Capsule() [2/2]

Ogre::Capsule::Capsule | ( | const Segment & | ,
|  | Real | )

## Member Function Documentation

## set()

void Ogre::Capsule::set | ( | const Vector3 & | newOrigin,
|  | const Vector3 & | newEnd,
|  | Real | newRadius )

## setOrigin()

void Ogre::Capsule::setOrigin | ( | const Vector3 & | newOrigin | ) |

## setEndPoint()

void Ogre::Capsule::setEndPoint | ( | const Vector3 & | newEndpoint | ) |

## setRadius()

void Ogre::Capsule::setRadius | ( | Real | newRadius | ) |

## intersects() [1/2]

bool Ogre::Capsule::intersects | ( | const Capsule & |  | ) | const

References Capsule().

## intersects() [2/2]

bool Ogre::Capsule::intersects | ( | const Segment & |  | ) | const

## Member Data Documentation

## mSegment

Segment Ogre::Capsule::mSegment

## mRadius

Real Ogre::Capsule::mRadius

The documentation for this class was generated from the following file:

- OgreCapsule.h